/*
 * Core: General Layout Style
 * -------------------------
 */
 html, body{
    overflow-x: hidden;
    min-height: 100%;
}

/* .wrapper {
    overflow: hidden;
    min-height: 100%;
}
body {
    font-family: "Poppins", sans-serif !important;
    zoom: 0.87 !important;
} */

.nav-pills .nav-link {
    border-radius: 0;
}

.nav-pills .nav-link:not(.active):hover {
    color: #777;
}

.card-body .nav-pills {
    border-right: 1px solid #f4f6f9;
}

.card-body .nav-pills .nav-link {
    border-radius: 100px;
}

@media (min-width: 992px) {

    .content-wrapper,
    .main-footer,
    .main-header {
        margin-left: 275px;
    }
}

.main-footer {
    margin-left: 296px !important;
}

.main-sidebar,
.main-sidebar:before {
    transition: margin-left 0.3s ease-in-out, width 0.3s ease-in-out;
    width: 295px;
    height: 100%;
}

.nav-sidebar .nav-item .nav-icon {
    width: 2.4rem !important;
}

.nav-sidebar>.nav-item .nav-icon.fa-mobile {
    font-size: 1.6rem;
}

.content-header {
    padding: 15px 1.5rem;
}

.content-wrapper>.content {
    padding: 0 1.5rem;
}

.content-headerfixed-top {
    margin-top: 60px;
}

.sidebar {
    padding-left: 0;
    padding-right: 0;
}

body:not(.sidebar-collapse) .main-sidebar .nav-treeview>.nav-item>.nav-link {
    color: #676767;
    padding-left: 2rem;
    font-size: 90% !important;
}

body:not(.sidebar-collapse) .main-sidebar .nav-treeview .nav-treeview .nav-item>.nav-link {
    padding-left: 3rem;
}

body:not(.sidebar-collapse) .main-sidebar .nav-treeview>.nav-item .nav-icon {
    font-size: 95% !important;
}

.small-box .icon i {
    font-size: 90px !important;
}

.pb-35 {
    padding-bottom: 0.9rem !important;
}

.dt-buttons.btn-group {
    display: inline;
}

div.dataTables_wrapper div.dataTables_filter {
    height: 60px;
}

div.dataTables_filter input.form-control.input-sm {
    margin: 0 20px;
}

div.dataTables_wrapper div.dataTables_info {
    float: left;
    padding-top: 10px;
}

div.dataTables_wrapper .dataTables_length {
    float: left;
}

.pagination>li>a {
    display: inline-flex !important;
    justify-content: center !important;
    min-width: fit-content !important;
    /* border-radius: unset !important; */
    border: unset !important;
    /* border-radius: 70px !important; */
    font-size: 12px;
    line-height: 1;
    margin: 0 3px;
    width: 32px;
    height: 32px;
    text-align: center;
    padding: 10px 12px;
}

#dataTableBuilder_previous a,
#dataTableBuilder_next a {
    width: auto !important;
}

/*.pagination > li > a:hover, .pagination > li > span:hover, .pagination > li > a:focus, .pagination > li > span:focus {*/
/*background-color: #a9b6b7;*/
/*border: 1px solid #878a8a !important;*/
/*}*/
.disabled { 
    background-color: #dfe4e8!important;
}
.pagination>.disabled>span,
.pagination>.disabled>span:hover,
.pagination>.disabled>span:focus,
.pagination>.disabled>a,
.pagination>.disabled>a:hover,
.pagination>.disabled>a:focus {
    color: #b9b9b9 !important;
}

/*.pagination > .active > a, .pagination > .active > span, .pagination > .active > a:hover, .pagination > .active > span:hover, .pagination > .active > a:focus, .pagination > .active > span:focus {*/
/*background-color: #878a8a;*/
/*}*/

table.dataTable {
    margin-top: 0px !important;
    margin-bottom: 15px !important;
    border-spacing: 0px;
}

.table th,
.table td {
    vertical-align: middle;
}

table.dataTable tr.group.group-start {
    background-color: #e9ecef;
}

table.dataTable tr.group.group-start td {
    padding: 0.4rem 0.75rem;
    font-weight: 600;
}

table.dataTable .btn-group,
.btn-group-vertical {
    align-items: center;
}

.btn-default {
    color: #383838;
    background-color: #f1f1f1;
    border-color: #f1f1f1;
}

.btn-default:hover,
.btn-default:active,
.btn-default:focus,
.btn-default:active:hover {
    color: #000000;
    background-color: #e2e2e2;
    border-color: #e2e2e2;
}

span.input-group-addon {
    width: 43px !important;
    border: 2px solid #dce4ec;
}

div[class|="iradio_flat"] {
    width: 30px;
}

.select2-container--default .select2-selection--single,
.select2-selection .select2-selection--single {
    height: 40px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 35px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 31px;
    right: 5px;
}

.select2-dropdown .select2-search__field:focus,
.select2-search--inline .select2-search__field:focus {
    outline: none;
    border: 1px solid #777;
    border-radius: 2px;
}

.card .card-header .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 22px;
}

.card .card-header .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 25px;
}

.card .card-header .select2-container--default .select2-selection--single,
.select2-selection .select2-selection--single {
    height: 30px;
}

.card .card-body .custom-field-container {
    padding-top: 20px;
    border-top: 1px solid #eee;
    display: flex;
    flex-wrap: wrap;
}

.card .card-header .select2-container--default .select2-selection__arrow {
    height: 22px;
}

.card .card-header .select2-container--default .select2-selection__rendered {
    line-height: 25px;
}

.card .card-header .select2-container--default,
.card .card-header .select2-selection {
    height: 30px;
}

.card .card-header .select2-container--default .select2-dropdown.select2-dropdown--below {
    margin-top: 2px;
}

.card .card-header .select2-container--default li.select2-selection__choice {
    font-size: 14px;
    padding: 1px 7px;
    line-height: 1.2;
}

.select2-container {
    width: 100% !important;
}

/* Card nav */
.card .card-header .nav-link {
    font-size: 85%;
    padding: 0.5rem 0.6rem;
}

/* icons */
.fa {
    font: normal normal normal 16px/1 FontAwesome;
}

/* Login */
.login-box .login-logo img {
    max-width: 160px;
    max-height: 80px;
}

.login-box span.input-group-text,
.login-box span.input-group-text i {
    width: 50px;
}

.login-box .btn-group .btn+.btn {
    margin-left: 0;
}

.login-box .btn-group .btn {
    border-radius: 0px;
}

.login-box .error-code i.fa {
    font-size: 40px !important;
}

.login-box,
.register-box {
    width: 450px;
    margin: 7% auto;
}

.btn.btn-facebook {
    background-color: #3b5998;
    border-color: #3b5392;
    color: #fff;
}

.btn.btn-google {
    background-color: #dd4b39;
    border-color: #c74a38;
    color: #fff;
}

.btn.btn-twitter {
    background-color: #00aced;
    border-color: #00a4e6;
    color: #fff;
}

/* forms */
.form-text {
    font-size: 80%;
}

@media (min-width: 576px) {
    #mediaModal .card {
        position: initial;
        box-shadow: 0 0px 3px rgba(0, 0, 0, 0.2);
        cursor: pointer;
    }

    #mediaModal .card:hover {
        box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
    }

    #mediaModal .card img {
        border-radius: 3px 3px 0 0;
    }

    #mediaModal .card-footer {
        padding: 0.25rem 0.5rem 0;
    }

    #mediaModal .card:hover .card-footer {
        background-color: rgba(0, 0, 0, 0.08);
    }

    #mediaModal .card .delete-media {
        position: absolute;
        right: 13px;
        top: 5px;
        padding: 0.1rem 0.35rem;
        display: none;
    }

    #mediaModal .modal-footer span {
        width: 100%;
        text-align: left;
        font-size: 90%;
    }

    #mediaModal .card-footer small {
        display: inline-block;
        font-size: 80%;
        font-weight: 400;
        white-space: nowrap;
        text-overflow: ellipsis;
        width: 100%;
        overflow: hidden;
    }

    #mediaModal .modal-body {
        height: 560px;
        overflow: auto;
    }

    #mediaModal #createMediaField {
        display: none;
    }

    #mediaModal .media-item {
        position: relative;
    }
}

@media (min-width: 576px) {

    #driver2Modal .modal.fade .modal-dialog {
        transform: translate(0, 0);
    }

    #driver2Modal .modal-dialog {
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 100vh;
    }

    #driver2Modal .modal-content {
        width: 300px;
    }

    #driver2Modal .card {
        position: initial;
        box-shadow: 0 0px 3px rgba(0, 0, 0, 0.2);
        cursor: pointer;
    }

    #driver2Modal .card:hover {
        box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
    }

    #driver2Modal .card img {
        border-radius: 3px 3px 0 0;
    }

    #driver2Modal .card-footer {
        padding: 0.25rem 0.5rem 0;
    }

    #driver2Modal .card:hover .card-footer {
        background-color: rgba(0, 0, 0, 0.08);
    }

    #driver2Modal .card .delete-media {
        position: absolute;
        right: 13px;
        top: 5px;
        padding: 0.1rem 0.35rem;
        display: none;
    }

    #driver2Modal .modal-footer span {
        width: 300px;
        text-align: left;
        font-size: 90%;
    }

    #driver2Modal .card-footer small {
        display: inline-block;
        font-size: 80%;
        font-weight: 400;
        white-space: nowrap;
        text-overflow: ellipsis;
        width: 300px;
        overflow: hidden;
    }

    #driver2Modal .modal-body {
        height: 140px;
        overflow: auto;
    }

    #driver2Modal #createMediaField {
        display: none;
    }

    #driver2Modal .media-item {
        position: relative;
    }
}

@media (min-width: 576px) {

    #driver1Modal .modal.fade .modal-dialog {
        transform: translate(0, 0);
    }

    #driver1Modal .modal-dialog {
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 100vh;
    }

    #driver1Modal .modal-content {
        width: 300px;
    }

    #driver1Modal .card {
        position: initial;
        box-shadow: 0 0px 3px rgba(0, 0, 0, 0.2);
        cursor: pointer;
    }

    #driver1Modal .card:hover {
        box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
    }

    #driver1Modal .card img {
        border-radius: 3px 3px 0 0;
    }

    #driver1Modal .card-footer {
        padding: 0.25rem 0.5rem 0;
    }

    #driver1Modal .card:hover .card-footer {
        background-color: rgba(0, 0, 0, 0.08);
    }

    #driver1Modal .card .delete-media {
        position: absolute;
        right: 13px;
        top: 5px;
        padding: 0.1rem 0.35rem;
        display: none;
    }

    #driver1Modal .modal-footer span {
        width: 300px;
        text-align: left;
        font-size: 90%;
    }

    #driver1Modal .card-footer small {
        display: inline-block;
        font-size: 80%;
        font-weight: 400;
        white-space: nowrap;
        text-overflow: ellipsis;
        width: 300px;
        overflow: hidden;
    }

    #driver1Modal .modal-body {
        height: 70px;
        overflow: auto;
    }

    #driver1Modal #createMediaField {
        display: none;
    }

    #driver1Modal .media-item {
        position: relative;
    }
}

@media (min-width: 576px) {

    .cus-popup .modal.fade .modal-dialog {
        transform: translate(0, 0);
    }

    .cus-popup .modal-dialog {
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 100vh;
    }

    .cus-popup .modal-content {
        width: 300px;
    }

    .cus-popup .card {
        position: initial;
        box-shadow: 0 0px 3px rgba(0, 0, 0, 0.2);
        cursor: pointer;
    }

    .cus-popup .card:hover {
        box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
    }

    .cus-popup .card img {
        border-radius: 3px 3px 0 0;
    }

    .cus-popup .card-footer {
        padding: 0.25rem 0.5rem 0;
    }

    .cus-popup .card:hover .card-footer {
        background-color: rgba(0, 0, 0, 0.08);
    }

    .cus-popup .card .delete-media {
        position: absolute;
        right: 13px;
        top: 5px;
        padding: 0.1rem 0.35rem;
        display: none;
    }

    .cus-popup .modal-footer span {
        width: 300px;
        text-align: left;
        font-size: 90%;
    }

    .cus-popup .card-footer small {
        display: inline-block;
        font-size: 80%;
        font-weight: 400;
        white-space: nowrap;
        text-overflow: ellipsis;
        width: 300px;
        overflow: hidden;
    }

    .cus-popup .modal-body {
        height: max-content;
        /* overflow: auto; */
    }

    .cus-popup #createMediaField {
        display: none;
    }

    .cus-popup .media-item {
        position: relative;
    }
}

[data-toggle="tooltip"] {
    display: inline !important;
}

.nmain-header .navbar-nav p {
    margin-bottom: 0;
}

nav.nmain-header .nav-header {
    display: none;
}

nav.nmain-header img.brand-image {
    margin-top: -5px;
    margin-left: 0px;
}

nav.nmain-header .brand-text {
    margin-right: 15px;
}

.dropdown-menu a.dropdown-item {
    color: #212529 !important;
}

.navbar-nav.ml-auto .brand-image {
    float: right;
}

.card-body form div.form-group.col-12.text-right {
    border-top: 1px solid #eee;
    padding-top: 25px;
    margin-top: 15px;
}

.note-editor.note-frame {
    border: 1px solid #ced4da;
    border-radius: 5px;
    box-shadow: none;
}

@media (min-width: 1440px) {
    .container {
        max-width: 1550px;
    }
}

.import-form {
    height: inherit;
    display: inline-block;
    width: fit-content;
}

@import url(https://fonts.googleapis.com/css?family=Open+Sans:700,300);

.import-frame {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    height: 400px;
    margin-top: -200px;
    margin-left: -200px;
    border-radius: 2px;
    box-shadow: 4px 8px 16px 0 rgba(0, 0, 0, 0.1);
    overflow: hidden;
    background: linear-gradient(to top right, darkmagenta 0%, hotpink 100%);
    color: #333;
    font-family: "Open Sans", Helvetica, sans-serif;
}

.import-center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 40%;
    height: 260px;
    border-radius: 3px;
    box-shadow: 8px 10px 15px 0 rgba(0, 0, 0, 0.2);
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-direction: column;
}

.import-title {
    width: 100%;
    height: 24px;
    border-bottom: 1px solid #999;
    text-align: center;
}

.import-h1 {
    font-size: 16px;
    font-weight: 300;
    color: #666;
}

.import-dropzone {
    width: 100px;
    height: 80px;
    border: 1px dashed #999;
    border-radius: 3px;
    text-align: center;
}

.import-upload-icon {
    margin: 25px 2px 2px 2px;
}

.import-upload-input {
    position: relative;
    top: -62px;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
}

.import-btn {
    display: block;
    width: 140px;
    height: 40px;
    /* background: darkmagenta; */
    color: #fff;
    border-radius: 3px;
    border: 0;
    /* box-shadow: 0 3px 0 0 hotpink; */
    transition: all 0.3s ease-in-out;
    font-size: 14px;
    margin-top: 1rem;
}

/* .import-btn:hover {
	background: rebeccapurple;
	box-shadow: 0 3px 0 0 deeppink;
} */
.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
}

.form-import-center {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.import-file-name {
    width: max-content;
}

.comfirm-frame {
    padding: 24px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    min-width: 30%;
    min-height: 20%;
    border-radius: 3px;
    box-shadow: 8px 10px 15px 0 rgba(0, 0, 0, 0.2);
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-direction: column;
}

.nav-item:first-child .driver-modal {
    position: absolute;
    right: 27rem;
}

.nav-item:first-child .driver-modal #drivers {
    overflow: hidden;
    width: 9rem;
}

.datatable-container {
    min-height: 400px;
    max-height: 80vh;
    overflow: auto;
}

.datatable-container table thead{
    position: sticky;
    top: 0px;
    background-color: white;
    z-index: 10;
}

/* table.dataTable {
    max-height: 90vh;
    overflow: auto;
}
table.dataTable thead{
    position: sticky;
    top: 0px;
    background-color: white;
    z-index: 10;
} */


table.dataTable th,
table.dataTable td {
    display: table-cell !important;
}

/* Tom select custom css */
.tom-select,
.ts-control {
    font-family: inherit !important;
    font-size: inherit !important;
}

.tom-select .ts-dropdown .ts-option,
.tom-select .ts-dropdown .ts-option-selected,
.tom-select .ts-control .item .ts-dropdown-content {
    font-family: inherit !important;
    font-size: inherit !important;
}

.ts-dropdown,
.ts-control,
.ts-control {
    font-family: inherit !important;
    font-size: inherit !important;
}

.ts-control {
    padding: 8px;
    height: 34px;
}

.control-label {
    pointer-events: none;
}

.ts-wrapper.tom-select.disabled {
    border-radius: 0.25rem;
    background: #c5ced6 !important;
    /* Darker gray text */
    color: #495057;
    opacity: 1 !important;
    /* Slight transparency to indicate it's disabled */
    /*cursor: not-allowed;  Change the cursor to indicate it's disabled */
}

.ts-wrapper.tom-select.disabled .item {
    color: #000000;
    /* Ensure that the items inside the select have black text */
}


.total {
    margin-top: 10px;
    justify-content: flex-end;
    /* Move the "total" div to the right */
    gap: 20px;
    /* Space between the labels */
}

.total label,
.total p {
    margin-right: 10px;
}

/* .sub_function_deliveryCoorHistoryTable {
    width: auto;
    height: auto;
    display: block;
    position: absolute;
    right: 14%;
} */
.dropdown-menu{
    max-height: 100vh;
    overflow-y: auto;
}
.loading {
	z-index: 20;
	position: absolute;
	top: 0;
	left:-5px;
	width: 100%;
	height: 100%;
    background-color: rgba(0,0,0,0.4);
}
.loading-content {
	position: absolute;
	border: 16px solid #f3f3f3; /* Light grey */
	border-top: 16px solid #3498db; /* Blue */
	border-radius: 50%;
	width: 50px;
	height: 50px;
	top: 40%;
	left: 50%;
	animation: spin 2s linear infinite;
	}
	
	@keyframes spin {
		0% { transform: rotate(0deg); }
		100% { transform: rotate(360deg); }
	}
	
	.select-row{
		width: 1.1rem; height: 1.1rem;
	}
	.bg-color-excel{
		background-color: #f4f6f9;
	}
